Skip to main content
GET
/
files
/
{id}
Retrieve a file
curl --request GET \
  --url https://api.syntage.com/files/{id} \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://api.syntage.com/files/{id}"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api.syntage.com/files/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "@id": "/files/91106968-1abd-4d64-85c1-4e73d96fb997",
  "@type": "File",
  "id": "91106968-1abd-4d64-85c1-4e73d96fb997",
  "type": "invoice.cfdi.xml",
  "resource": "/invoices/7c45e9c6-8f7f-4d0e-b6e5-65fef6c8c2f9",
  "mimeType": "text/xml",
  "extension": "xml",
  "size": 40544,
  "filename": "6f3c5312-2849-4525-86f6-c48a54c64c60.xml",
  "createdAt": "2020-01-01T12:15:00.000Z",
  "updatedAt": "2020-01-01T12:15:00.000Z"
}
{
"message": "<string>"
}
{
"message": "<string>"
}

Authorizations

X-API-Key
string
header
required

Your API key is available in the Production and Sandbox dashboards.

Path Parameters

id
string<uuid>
required

Response

File resource response

@id
string<iri-reference>

File IRI reference

Example:

"/files/91106968-1abd-4d64-85c1-4e73d96fb997"

@type
string
default:File

JSON-LD resource type

Example:

"File"

id
string<uuid>

Unique file ID

Example:

"91106968-1abd-4d64-85c1-4e73d96fb997"

type
string

File category, such as an invoice CFDI XML or PDF

Example:

"invoice.cfdi.xml"

resource
string

IRI of the resource that produced or owns the file

Example:

"/invoices/7c45e9c6-8f7f-4d0e-b6e5-65fef6c8c2f9"

mimeType
string

Media type of the file content

Example:

"text/xml"

extension
string

File extension for the stored content

Example:

"xml"

size
integer

File size in bytes

Example:

40544

filename
string

Suggested filename for the file content

Example:

"6f3c5312-2849-4525-86f6-c48a54c64c60.xml"

createdAt
string

Date and time the resource was created

Example:

"2020-01-01T12:15:00.000Z"

updatedAt
string

Date and time the resource was last updated

Example:

"2020-01-01T12:15:00.000Z"